## attica-kf5 5.44.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(KF5_VERSION "5.44.0") # handled by release scripts
project(Attica VERSION ${KF5_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.44.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers) # Used to create CMake config files
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(KDEInstallDirs) # Used to set installation paths
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
    VARIABLE_PREFIX ATTICA
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/attica_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AtticaConfigVersion.cmake"
    SOVERSION 5)

# Dependencies
set(REQUIRED_QT_VERSION 5.7.0)

# Required Qt5 components to build this framework
find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Network)

set(ATTICA_LIB_SONAME KF5Attica)

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

# Enable static build
option(ATTICA_STATIC_BUILD "Build a static library" Off)

add_subdirectory(src)

# Enable unit testing
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif ()

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Attica")

# Create the CMake Config files
if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Attica_QCH
        FILE KF5AtticaQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5AtticaQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5AtticaConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AtticaConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
            "${CMAKE_CURRENT_BINARY_DIR}/KF5AtticaConfig.cmake"
            "${CMAKE_CURRENT_BINARY_DIR}/KF5AtticaConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KF5AtticaTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5AtticaTargets.cmake
        NAMESPACE KF5::)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/attica_version.h"
        DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF5}"
        COMPONENT Devel)

install( FILES attica.categories  DESTINATION ${KDE_INSTALL_CONFDIR}) 

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
attica-kf5 (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:55:37 +0000

attica-kf5 (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:13:25 +0000

attica-kf5 (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:19:23 +0000

attica-kf5 (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)
  * New upstream release (5.41.0)
  * New upstream release (5.41.0)
  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:02:19 -0600

attica-kf5 (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:14:35 +0000

=== debian/control ===
Source: attica-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/attica
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/attica
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/attica

Package: libkf5attica-dev
Architecture: any
Section: libdevel
Depends: libkf5attica5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: development files for libkf5attica5
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.6.
 .
 It grants easy access to the services such as querying information about
 persons and contents.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development header files.

Package: libkf5attica5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt library that implements the Open Collaboration Services API
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.6.
 .
 It grants easy access to the services such as querying information about
 persons and contents.
 .
 This package is part of KDE Frameworks 5.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5attica5-dbg (<= 5.19.0-1~~)'

=== debian/watch ===
version=3

http://download.kde.org/stable/frameworks/([\d\.]*)/attica-(.*)\.tar\.xz

## attica-kf5 5.49.0

=== debian/changelog ===
attica-kf5 (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * Update copyright information
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Disable network dependant test
  * Update symbols files.
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:17:54 +0200

attica-kf5 (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:07:43 +0200

attica-kf5 (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:14:13 +0200

attica-kf5 (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:09:50 +0200

attica-kf5 (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:11 +0100

attica-kf5 (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:42:52 +0100

=== debian/control ===
Source: attica-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.49.0~),
               graphviz,
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/attica
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/attica
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/attica.git

Package: libkf5attica-dev
Section: libdevel
Architecture: any
Depends: libkf5attica5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5attica-doc (= ${source:Version})
Description: development files for libkf5attica5
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.6.
 .
 It grants easy access to the services such as querying information about
 persons and contents.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development header files.
Breaks: libkf5newstuff-dev (<< 5.49), libkf5xmlgui-dev (<< 5.49)

Package: libkf5attica-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt library that implements the Open Collaboration Services API (documentation)
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.6.
 .
 It grants easy access to the services such as querying information about
 persons and contents.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5attica5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt library that implements the Open Collaboration Services API
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.6.
 .
 It grants easy access to the services such as querying information about
 persons and contents.
 .
 This package is part of KDE Frameworks 5.
Breaks: frameworkintegration (<< 5.42),
        libkf5newstuff5 (<< 5.49),
        libkf5newstuffcore5 (<< 5.49),
        libkf5xmlgui5 (<< 5.49),
        qml-module-org-kde-newstuff (<< 5.42),

## attica-kf5 5.50.0

=== debian/changelog ===
attica-kf5 (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:11:04 +0100

attica-kf5 (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * Don't run tests at build time
  * New upstream release (5.48.0)
  * Update symbols from build logs
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian
  * Execute the tests as autopkgtests, apparently they can't be executed
    in debian/rules without getting the 'providertest' failing

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:28:32 +0100

attica-kf5 (5.47.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.47.0)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:47:11 +0100

attica-kf5 (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:54:25 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.49.0~),
+               extra-cmake-modules (>= 5.50.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -14,12 +14,12 @@
                qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/attica
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/attica
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/attica.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/attica
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/attica
 
 Package: libkf5attica-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libkf5attica5 (= ${binary:Version}),
          qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
@@ -34,11 +34,11 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the development header files.
-Breaks: libkf5newstuff-dev (<< 5.49), libkf5xmlgui-dev (<< 5.49)
 
 Package: libkf5attica-doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}
 Description: Qt library that implements the Open Collaboration Services API (documentation)
  Attica is a Qt library that implements the Open Collaboration Services
@@ -50,12 +50,12 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
-Section: doc
 
 Package: libkf5attica5
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: frameworkintegration (<< 5.42), qml-module-org-kde-newstuff (<< 5.42)
 Description: Qt library that implements the Open Collaboration Services API
  Attica is a Qt library that implements the Open Collaboration Services
  API version 1.6.
@@ -64,8 +64,3 @@
  persons and contents.
  .
  This package is part of KDE Frameworks 5.
-Breaks: frameworkintegration (<< 5.42),
-        libkf5newstuff5 (<< 5.49),
-        libkf5newstuffcore5 (<< 5.49),
-        libkf5xmlgui5 (<< 5.49),
-        qml-module-org-kde-newstuff (<< 5.42),

## attica-kf5 5.51.0

=== debian/changelog ===
attica-kf5 (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:14 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.50.0~),
+               extra-cmake-modules (>= 5.51.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -14,12 +14,12 @@
                qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/attica
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/attica
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/attica
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/attica
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/attica.git
 
 Package: libkf5attica-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends: libkf5attica5 (= ${binary:Version}),
          qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
@@ -34,11 +34,11 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the development header files.
+Breaks: libkf5newstuff-dev (<< 5.51), libkf5xmlgui-dev (<< 5.51)
 
 Package: libkf5attica-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: Qt library that implements the Open Collaboration Services API (documentation)
  Attica is a Qt library that implements the Open Collaboration Services
@@ -50,12 +50,12 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5attica5
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: frameworkintegration (<< 5.42), qml-module-org-kde-newstuff (<< 5.42)
 Description: Qt library that implements the Open Collaboration Services API
  Attica is a Qt library that implements the Open Collaboration Services
  API version 1.6.
@@ -64,3 +64,8 @@
  persons and contents.
  .
  This package is part of KDE Frameworks 5.
+Breaks: frameworkintegration (<< 5.42),
+        libkf5newstuff5 (<< 5.51),
+        libkf5newstuffcore5 (<< 5.51),
+        libkf5xmlgui5 (<< 5.51),
+        qml-module-org-kde-newstuff (<< 5.42),

## attica-kf5 5.54.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.44.0") # handled by release scripts
+set(KF5_VERSION "5.54.0") # handled by release scripts
 project(Attica VERSION ${KF5_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.44.0  NO_MODULE)
+find_package(ECM 5.54.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -21,7 +21,6 @@
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
-
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
@@ -32,15 +31,12 @@
     SOVERSION 5)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 5.7.0)
+set(REQUIRED_QT_VERSION 5.9.0)
 
 # Required Qt5 components to build this framework
 find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Network)
 
 set(ATTICA_LIB_SONAME KF5Attica)
-
-add_definitions( -DQT_NO_CAST_FROM_ASCII )
-add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
 
 # Enable static build
 option(ATTICA_STATIC_BUILD "Build a static library" Off)

=== debian/changelog ===
attica-kf5 (5.54.0-1+rb1) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 19 Jan 2021 14:14:54 +0800

attica-kf5 (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:12 -0300

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.51.0~),
+               extra-cmake-modules (>= 5.54.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.9.0~),
                qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/attica
@@ -21,7 +21,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5attica5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.8.0~),
+         qtbase5-dev (>= 5.9.0~),
          ${misc:Depends},
 Recommends: libkf5attica-doc (= ${source:Version})
 Description: development files for libkf5attica5
@@ -34,7 +34,7 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the development header files.
-Breaks: libkf5newstuff-dev (<< 5.51), libkf5xmlgui-dev (<< 5.51)
+Breaks: libkf5newstuff-dev (<< 5.54), libkf5xmlgui-dev (<< 5.54)
 
 Package: libkf5attica-doc
 Architecture: all
@@ -65,7 +65,7 @@
  .
  This package is part of KDE Frameworks 5.
 Breaks: frameworkintegration (<< 5.42),
-        libkf5newstuff5 (<< 5.51),
-        libkf5newstuffcore5 (<< 5.51),
-        libkf5xmlgui5 (<< 5.51),
+        libkf5newstuff5 (<< 5.54),
+        libkf5newstuffcore5 (<< 5.54),
+        libkf5xmlgui5 (<< 5.54),
         qml-module-org-kde-newstuff (<< 5.42),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5attica5-dbg (<= 5.19.0-1~~)'

## attica-kf5 5.56.0

=== debian/changelog ===
attica-kf5 (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:33:48 +0000

attica-kf5 (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:28:51 +0000

attica-kf5 (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:33:10 +0000

attica-kf5 (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:47:06 +0000

attica-kf5 (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:40:43 +0000

=== debian/control ===
Source: attica-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.56.0~),
               graphviz,
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/attica
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/attica
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/attica

Package: libkf5attica-dev
Architecture: any
Section: libdevel
Depends: libkf5attica5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5attica-doc (= ${source:Version})
Description: development files for libkf5attica5
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.6.
 .
 It grants easy access to the services such as querying information about
 persons and contents.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development header files.

Package: libkf5attica-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Qt library that implements the Open Collaboration Services API (documentation)
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.6.
 .
 It grants easy access to the services such as querying information about
 persons and contents.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.

Package: libkf5attica5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: frameworkintegration (<< 5.42), qml-module-org-kde-newstuff (<< 5.42)
Description: Qt library that implements the Open Collaboration Services API
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.6.
 .
 It grants easy access to the services such as querying information about
 persons and contents.
 .
 This package is part of KDE Frameworks 5.

## attica-kf5 5.62.0

=== debian/changelog ===
attica-kf5 (5.62.0-1) unstable; urgency=medium

  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:12:48 -0700

attica-kf5 (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure.
    Reference bug #915122. (Closes: 930694)

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Release to experimental

  [ Jonathan Riddell ]
  * moved qdebug files

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:02 +0100

=== debian/control ===
Source: attica-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.62.0~),
               graphviz,
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.11.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/attica
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/attica
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/attica.git

Package: libkf5attica-dev
Section: libdevel
Architecture: any
Depends: libkf5attica5 (= ${binary:Version}),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends},
Recommends: libkf5attica-doc (= ${source:Version})
Description: development files for libkf5attica5
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.6.
 .
 It grants easy access to the services such as querying information about
 persons and contents.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development header files.
Breaks: libkf5newstuff-dev (<< 5.54), libkf5xmlgui-dev (<< 5.54)

Package: libkf5attica-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt library that implements the Open Collaboration Services API (documentation)
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.6.
 .
 It grants easy access to the services such as querying information about
 persons and contents.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5attica5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt library that implements the Open Collaboration Services API
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.6.
 .
 It grants easy access to the services such as querying information about
 persons and contents.
 .
 This package is part of KDE Frameworks 5.
Breaks: frameworkintegration (<< 5.42),
        libkf5newstuff5 (<< 5.54),
        libkf5newstuffcore5 (<< 5.54),
        libkf5xmlgui5 (<< 5.54),
        qml-module-org-kde-newstuff (<< 5.42),

## attica-kf5 5.67.0

=== debian/changelog ===
attica-kf5 (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:47:33 +0000

attica-kf5 (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:16:39 +0000

attica-kf5 (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 22:56:33 +0000

attica-kf5 (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:22:07 +0000

attica-kf5 (5.62.0-0ubuntu2) focal; urgency=medium

  * Sync Debian test changes:
    - Disable testsuite.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Oct 2019 08:36:58 +0000

attica-kf5 (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:04:32 +0100

attica-kf5 (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:40:06 +0100

attica-kf5 (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:13:45 +0100

attica-kf5 (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:17:00 +0100

attica-kf5 (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:37:42 +0100

attica-kf5 (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:35:32 +0100

=== debian/control ===
Source: attica-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.67.0~),
               graphviz,
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/attica
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/attica
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/attica

Package: libkf5attica-dev
Architecture: any
Section: libdevel
Depends: libkf5attica5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5attica-doc (= ${source:Version})
Description: development files for libkf5attica5
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.6.
 .
 It grants easy access to the services such as querying information about
 persons and contents.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development header files.

Package: libkf5attica-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Qt library that implements the Open Collaboration Services API (documentation)
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.6.
 .
 It grants easy access to the services such as querying information about
 persons and contents.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.

Package: libkf5attica5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: frameworkintegration (<< 5.42), qml-module-org-kde-newstuff (<< 5.42)
Description: Qt library that implements the Open Collaboration Services API
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.6.
 .
 It grants easy access to the services such as querying information about
 persons and contents.
 .
 This package is part of KDE Frameworks 5.

## attica-kf5 5.68.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,25 +1,28 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.54.0") # handled by release scripts
+set(KF5_VERSION "5.68.0") # handled by release scripts
 project(Attica VERSION ${KF5_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.54.0  NO_MODULE)
-set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
+find_package(ECM 5.68.0  NO_MODULE)
+set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
-include(GenerateExportHeader)
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+
+include(ECMGenerateExportHeader)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 include(CMakePackageConfigHelpers) # Used to create CMake config files
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddQch)
-include(KDEInstallDirs) # Used to set installation paths
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
-include(KDECMakeSettings)
+
+set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
@@ -31,7 +34,7 @@
     SOVERSION 5)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 5.9.0)
+set(REQUIRED_QT_VERSION 5.12.0)
 
 # Required Qt5 components to build this framework
 find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Network)
@@ -40,7 +43,8 @@
 
 # Enable static build
 option(ATTICA_STATIC_BUILD "Build a static library" Off)
-
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
+add_definitions(-DQT_NO_FOREACH)
 add_subdirectory(src)
 
 # Enable unit testing
@@ -84,7 +88,5 @@
         DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF5}"
         COMPONENT Devel)
 
-install( FILES attica.categories  DESTINATION ${KDE_INSTALL_CONFDIR}) 
-
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# mingw can't handle exported explicit template instantiations in a DLL
if (MINGW)
  set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--export-all-symbols ${CMAKE_SHARED_LINKER_FLAGS}")
endif (MINGW)

configure_file(version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h)

set(attica_SRCS
   accountbalance.cpp
   accountbalanceparser.cpp
   achievement.cpp
   achievementparser.cpp
   buildservice.cpp
   buildserviceparser.cpp
   buildservicejob.cpp
   buildservicejobparser.cpp
   buildservicejoboutput.cpp
   buildservicejoboutputparser.cpp
   activity.cpp
   activityparser.cpp
   atticabasejob.cpp
   atticautils.cpp
   privatedata.cpp
   privatedataparser.cpp
   category.cpp
   categoryparser.cpp
   comment.cpp
   commentparser.cpp
   config.cpp
   configparser.cpp
   content.cpp
   contentparser.cpp
   deletejob.cpp
   distribution.cpp
   distributionparser.cpp
   downloaddescription.cpp
   downloaditem.cpp
   downloaditemparser.cpp
   event.cpp
   eventparser.cpp
   folder.cpp
   folderparser.cpp
   forum.cpp
   forumparser.cpp
   getjob.cpp
   homepageentry.cpp
   homepagetype.cpp
   homepagetypeparser.cpp
   icon.cpp
   itemjob.cpp
   knowledgebaseentry.cpp
   knowledgebaseentryparser.cpp
   license.cpp
   licenseparser.cpp
   listjob_inst.cpp
   message.cpp
   messageparser.cpp
   metadata.cpp
   parser.cpp
   person.cpp
   personparser.cpp
   platformdependent_v2.cpp
   postfiledata.cpp
   postjob.cpp
   project.cpp
   projectparser.cpp
   putjob.cpp
   remoteaccount.cpp
   remoteaccountparser.cpp
   provider.cpp
   providermanager.cpp
   publisher.cpp
   publisherparser.cpp
   publisherfield.cpp
   publisherfieldparser.cpp
   qtplatformdependent.cpp
   topic.cpp
   topicparser.cpp
)

ecm_qt_declare_logging_category(attica_SRCS
    HEADER attica_debug.h
    IDENTIFIER ATTICA
    CATEGORY_NAME org.kde.attica
    DESCRIPTION "Attica"
    EXPORT ATTICA
)

add_library(KF5Attica ${attica_SRCS})
set_target_properties(KF5Attica PROPERTIES
    VERSION ${ATTICA_VERSION_STRING}
    SOVERSION ${ATTICA_SOVERSION}
    EXPORT_NAME "Attica"
)

add_library(KF5::Attica ALIAS KF5Attica)
ecm_generate_export_header(KF5Attica
    BASE_NAME Attica
    GROUP_BASE_NAME KF
    VERSION ${KF5_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 0.2 5.4 5.23
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_link_libraries(KF5Attica
PUBLIC
  Qt5::Core
  Qt5::Network
)
target_include_directories(KF5Attica INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/Attica>")


ecm_generate_headers(Attica_CamelCase_HEADERS
  HEADER_NAMES
  Activity
  AccountBalance
  Achievement
  Comment
  Config
  Content
  Category
  DeleteJob
  Distribution
  DownloadDescription
  DownloadItem
  Event
  Folder
  Forum
  GetJob
  HomePageEntry
  HomePageType
  Icon
  ItemJob
  KnowledgeBaseEntry
  ListJob
  License
  Message
  Metadata
  Person
  PrivateData
  PostJob
  Project
  PutJob
  RemoteAccount
  BuildService
  BuildServiceJob
  BuildServiceJobOutput
  ProviderManager
  Provider
  Publisher
  PublisherField
  Topic

  PREFIX Attica
  REQUIRED_HEADERS Attica_HEADERS
)

set(Attica_HEADERS
    ${Attica_HEADERS}
    atticabasejob.h # TODO: rename to basejob.h, add atticabasejob.h forwarding to basejob.h for compat
    atticautils.h   # TODO: not exported, this should probably NOT be installed at all?
    #interface for external platform plugins
    platformdependent.h
    platformdependent_v2.h
)

install(FILES ${Attica_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/Attica/Attica COMPONENT Devel)

install(TARGETS KF5Attica
        EXPORT KF5AtticaTargets
        ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${Attica_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/version.h
    ${CMAKE_CURRENT_BINARY_DIR}/attica_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/Attica/attica
    COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT ATTICA
    FILE attica.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5Attica_QCH
        NAME Attica
        BASE_NAME KF5Attica
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${Attica_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
            Qt5Network_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            ATTICA_EXPORT
            ATTICA_DEPRECATED
            ATTICA_DEPRECATED_EXPORT
            "ATTICA_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME Attica LIB_NAME KF5Attica DEPS "core" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/Attica)
install(FILES ${PRI_FILENAME}
        DESTINATION ${ECM_MKSPECS_INSTALL_DIR})


# Install package config file
if(NOT WIN32)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/libKF5Attica.pc.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/libKF5Attica.pc
        @ONLY
    )
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libKF5Attica.pc
       DESTINATION ${KDE_INSTALL_LIBDIR}/pkgconfig
    )
endif(NOT WIN32)

=== debian/changelog ===
attica-kf5 (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:55:00 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.67.0~),
+               extra-cmake-modules (>= 5.68.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,7 @@
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='libkf5attica5-dbg (<= 5.19.0-1~~)'
+
+override_dh_auto_test:
+	# Disable dh_auto_test at build time
+	:

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d\.]*)/attica-(.*)\.tar\.xz

## attica-kf5 5.74.0

=== debian/changelog ===
attica-kf5 (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:13:38 +0200

attica-kf5 (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file to libkf5attica5.
  * Update repository related entries to metadata file.
  * Update Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:44:43 +0200

attica-kf5 (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Update all instances of kde source to point to new
    invent.kde.org address.
    - Update metadata.
    - Update homepage - projects.kde.org is dead.
    - Update copyright Source.
  * Add bug tracking info to upstream metadata.
  * Bump debhelper compat to 13.
  * Add lintian override for package-contains-
    documentation-outside-usr-share-doc as the
    file is a header.

  [ Sandro Knauß ]
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.21.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:56:24 +0200

attica-kf5 (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * Update symbols from build for 5.69.0.
  * Enable hardening all.
  * Add Build-Depends-Package to symbols file.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 00:55:24 +0200

=== debian/control ===
Source: attica-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.74.0~),
               graphviz,
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.12.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/frameworks/attica
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/attica
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/attica.git
Rules-Requires-Root: no

Package: libkf5attica-dev
Section: libdevel
Architecture: any
Depends: libkf5attica5 (= ${binary:Version}),
         qtbase5-dev (>= 5.12.0~),
         ${misc:Depends}
Recommends: libkf5attica-doc (= ${source:Version})
Description: development files for libkf5attica5
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.6.
 .
 It grants easy access to the services such as querying information about
 persons and contents.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development header files.
Breaks: libkf5newstuff-dev (<< 5.54), libkf5xmlgui-dev (<< 5.54)

Package: libkf5attica-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt library that implements the Open Collaboration Services API (documentation)
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.6.
 .
 It grants easy access to the services such as querying information about
 persons and contents.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5attica5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt library that implements the Open Collaboration Services API
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.6.
 .
 It grants easy access to the services such as querying information about
 persons and contents.
 .
 This package is part of KDE Frameworks 5.
Breaks: frameworkintegration (<< 5.42),
        libkf5newstuff5 (<< 5.54),
        libkf5newstuffcore5 (<< 5.54),
        libkf5xmlgui5 (<< 5.54),
        qml-module-org-kde-newstuff (<< 5.42)

## attica-kf5 5.77.0

=== debian/changelog ===
attica-kf5 (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:37:35 +0900

attica-kf5 (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:51 +0900

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: attica-kf5
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.77.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.13.0~),
                qttools5-dev,
-               qttools5-dev-tools (>= 5.4)
-Standards-Version: 4.5.0
+               qttools5-dev-tools (>= 5.4),
+Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/attica
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/attica
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/attica.git
@@ -23,8 +24,8 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5attica5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.12.0~),
-         ${misc:Depends}
+         qtbase5-dev (>= 5.13.0~),
+         ${misc:Depends},
 Recommends: libkf5attica-doc (= ${source:Version})
 Description: development files for libkf5attica5
  Attica is a Qt library that implements the Open Collaboration Services
@@ -70,4 +71,4 @@
         libkf5newstuff5 (<< 5.54),
         libkf5newstuffcore5 (<< 5.54),
         libkf5xmlgui5 (<< 5.54),
-        qml-module-org-kde-newstuff (<< 5.42)
+        qml-module-org-kde-newstuff (<< 5.42),
